/* ===== Container principal da seção ===== */
.sec_form {
  display: flex;
  flex-direction: column;
  gap: 2rem;
  padding: 2rem 1rem;
  background-color: #f5f5f5;
}



/* ===== Título e lista de serviços ===== */
.h1-servico {
  font-family: var(--fonte-principal);
  font-size: 1.5rem;
  font-weight: 800;
  color: #2c2c2c;
  margin-bottom: 1.5rem;
}
h2.planos__texto{
    font-size: 1.3em;
    font-weight: 500;
    color: #2c2c2c;
}

.planos__lista {
  font-family: var(--fonte-principal);
  list-style: none;
  padding: 0;
  margin: 0;
}

.planos__lista-item {
  margin-bottom: 1.5rem;
}

.titulos-p {  
  display: flex;
  align-items: center;
  gap: 0.8rem;
}

.planos__texto {
  font-family: var(--fonte-principal);
    font-size: 1.3em;
  font-weight: 500;
  color: #333333;
  margin: 0;
}

.text-p {
  font-size: 1rem;
  color: #444;
  margin-top: 0.5rem;
}

/* ===== Formulário ===== */
.form {
  background-color: #353535;
  padding: 2rem;
  border-radius: 8px;
  box-shadow: 0 4px 12px rgba(46, 45, 45, 0.2);
  color: #fff;
}

.form form {
  display: flex;
  flex-direction: column;
  gap: 1.5rem;
}

.form label {
  font-family: var(--fonte-principal);
  font-weight: 600;
  color: #fff;
}

.form input,
.form select,
.form textarea {
    font-family: var(--fonte-principal);
    font-weight: 600;
  padding: 0.5rem;
  margin-top: -1em;
  border: none;
  border-radius: 6px;
  font-size: 1.1rem;
  transition: box-shadow 0.3s ease, background-color 0.3s ease;
}

.form input:focus,
.form select:focus,
.form textarea:focus {
  outline: none;
  box-shadow: 0 0 0 2px #1f3aa2;
  background-color: #f9f9f9;
  color: #000;
}

.sub-botao {
  font-family: var(--fonte-principal);
  background-color: #1f3aa2;
  color: #fff;
  border: none;
  padding: 1rem;
  font-size: 1.1rem;
  font-weight: bold;
  border-radius: 8px;
  cursor: pointer;
  transition: background-color 0.3s ease;
}

.sub-botao:hover {
  background-color: #142674;
}

/* ===== Responsividade ===== */
@media (min-width: 768px) {  
    .text-p {
        margin-bottom: 2rem;
      }

  .sec_form {        
    justify-content: space-between;   
    padding: 3rem 2rem;
  }

  .sec_form > div {    
    flex: 1 1 45%;
  }

  textarea{
    height: 50px;
  }
}

@media (min-width: 1280px) {
  .sec_form {
    display: grid;
    grid-template-columns: 60% 30%;
    align-items: start;
    justify-content: space-evenly;
  }

  .sec_form > div,
  .form {
    width: 100%;
    max-width: 100%;
    box-sizing: border-box;
  }

  .form {
    padding: 2rem 2.5rem;
  }

  .h1-servico {
    font-size: 2rem;
    margin-bottom: 2rem;
  }

  .text-p {
    font-size: 1rem;
    margin-bottom: 2rem;
  }
}


